import Vue from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import './plugins/element.js'
// 导入全局样式表
import './assets/css/global.css'
 
 

//方法一：直接请求axios 
import axios from 'axios'
//1、配置请求的根目录路径
   //  axios.defaults.baseURL = 'http://192.168.1.96.8090'
axios.defaults.baseURL =  process.env.VUE_APP_BASE_API //测试线
  
//2、通过axios请求拦截器添加token 
axios.interceptors.request.use(
  // config就是请求的对象
  config => {
    //为请求头对象，添加token验证
     config.headers.Authorization = window.sessionStorage.getItem('token')
 
    // 最后必须 return config
    return config
  }
)


// axios.defaults.headers['Page'] = 1
//3、挂载发起Ajax请求
Vue.prototype.$http = axios




//方法二：封装的看utils文件夹中的request.js文件和api文件夹中的common.js文件

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
